Skip to main content
POST
/
api
/
authentication
/
change-password
changePassword
curl --request POST \
  --url https://api.artemis.cynopsis.co/api/authentication/change-password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "oldPassword": "<string>",
  "password": "<string>",
  "email": "<string>"
}
'
import requests

url = "https://api.artemis.cynopsis.co/api/authentication/change-password"

payload = {
"oldPassword": "<string>",
"password": "<string>",
"email": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({oldPassword: '<string>', password: '<string>', email: '<string>'})
};

fetch('https://api.artemis.cynopsis.co/api/authentication/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "body": {},
  "statusCodeValue": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

authority
string
claims
object
domains[0].id
integer<int64>
domains[0].name
string
email
string
headers
object
scopes
string
tokenValue
string
userId
string

Body

application/json

request

oldPassword
string
required
password
string
required
email
string

Response

OK

body
object
statusCode
enum<string>
Available options:
ACCEPTED,
ALREADY_REPORTED,
BAD_GATEWAY,
BAD_REQUEST,
BANDWIDTH_LIMIT_EXCEEDED,
CHECKPOINT,
CONFLICT,
CONTINUE,
CREATED,
DESTINATION_LOCKED,
EXPECTATION_FAILED,
FAILED_DEPENDENCY,
FORBIDDEN,
FOUND,
GATEWAY_TIMEOUT,
GONE,
HTTP_VERSION_NOT_SUPPORTED,
IM_USED,
INSUFFICIENT_SPACE_ON_RESOURCE,
INSUFFICIENT_STORAGE,
INTERNAL_SERVER_ERROR,
I_AM_A_TEAPOT,
LENGTH_REQUIRED,
LOCKED,
LOOP_DETECTED,
METHOD_FAILURE,
METHOD_NOT_ALLOWED,
MOVED_PERMANENTLY,
MOVED_TEMPORARILY,
MULTIPLE_CHOICES,
MULTI_STATUS,
NETWORK_AUTHENTICATION_REQUIRED,
NON_AUTHORITATIVE_INFORMATION,
NOT_ACCEPTABLE,
NOT_EXTENDED,
NOT_FOUND,
NOT_IMPLEMENTED,
NOT_MODIFIED,
NO_CONTENT,
OK,
PARTIAL_CONTENT,
PAYLOAD_TOO_LARGE,
PAYMENT_REQUIRED,
PERMANENT_REDIRECT,
PRECONDITION_FAILED,
PRECONDITION_REQUIRED,
PROCESSING,
PROXY_AUTHENTICATION_REQUIRED,
REQUESTED_RANGE_NOT_SATISFIABLE,
REQUEST_ENTITY_TOO_LARGE,
REQUEST_HEADER_FIELDS_TOO_LARGE,
REQUEST_TIMEOUT,
REQUEST_URI_TOO_LONG,
RESET_CONTENT,
SEE_OTHER,
SERVICE_UNAVAILABLE,
SWITCHING_PROTOCOLS,
TEMPORARY_REDIRECT,
TOO_EARLY,
TOO_MANY_REQUESTS,
UNAUTHORIZED,
UNAVAILABLE_FOR_LEGAL_REASONS,
UNPROCESSABLE_ENTITY,
UNSUPPORTED_MEDIA_TYPE,
UPGRADE_REQUIRED,
URI_TOO_LONG,
USE_PROXY,
VARIANT_ALSO_NEGOTIATES
statusCodeValue
integer<int32>